id: d7_google_analytics_user_settings
label: Google Analytics user settings
migration_tags:
  - Drupal 7
source:
  plugin: d7_user
  constants:
    key: user_account_users
    module: google_analytics
process:
  uid: uid
  key: 'constants/key'
  module: 'constants/module'
  settings:
    plugin: skip_row_if_not_set
    index: 'custom'
    source: data/googleanalytics
destination:
  plugin: user_data
migration_dependencies:
  required:
    - d7_user
